$  Copyright(c) 1996 Sun Microsystems, Inc.
$  All rights reserved.

$ #ident  "@(#)atmtest.msg  1.12  04/06/16  SMI"


$ * Network test error message file.
$ * VERBOSE 1
$ * INFO 2000
$ * WARNING 4000
$ * ERROR 6000
$ * FATAL 8000


$ VERBOSE
1		"%s"
2		"obs=%d"
3		"exp=%d"
4		%c\b
5		"%s successfully completed"
6		"%s:  MORECTL|MOREDATA"
7		"%s:  MORECTL"
8		"%s:  MOREDATA"
9		"getmsg:  control portion length < sizeof (long): \n\
		%d"
10		"add VC%d failed"

$ INFO
2000		%s specific arguments:\n\
		dev    = <device>, specify device to be tested, e.g., ba0\n\
		tpkts  = [1..2147483647, -1], count of packets to loopback,\n\
			 -1 for continuous\n\
		nv     = <num_vc>, number of simultaneous vcs to be tested\n\
		ml     = <max_len>, maximum length of random packet\n\
		bw     = <bandwidth>, bandwidth in MBits/S of a VC\n\
		opkts  = <outstanding_pkts>, number of packets per VC that\n\
			 can be tx'd without a corresponding rcv\n\
		lb     = select internal loopback mode\n\
		sd     = make payload data static instead of random\n\
		sl     = make all packets max_len in length\n\
		nc     = don't check rcv payload (Improves thruput)\n\
		ns     = don't exit test on packet reception failure\n\
		vcf    = <first_vc>, VC number to use first\n

$ WARNING
4000		"VC%d dropped pkt, seq: exp=%d, obs=%d; len: exp=%d, obs=%d"
4001		"sigalrm:  TIMEOUT"
4002		"VCs being tested: starting VC%d; %s"
4003		"Test is in external loopback mode, please check loopback connector"

$ ERROR
6000		"putmsg failed, errmsg=%s"
6001		"getmsg failed, errmsg=%s"
6002		"wrong vc: exp: %d, obs: %d"
6003		"VC%d bogus pkt, seq: exp=%d, obs=%d; len: exp=%d, obs=%d"
6004		"VC%d bad pkt len, EXP: %d, OBS: %d, seq=%d"
6005		"VC%d memcmp error"
6006		"VC%d failed to rcv a packet"
6007		"Complete Usage: %s u"
6008		"%s:  alarm"
6009		"%s:  getmsg"
6010		"receive %s for %s with %s error"
6011		"DL_OK_ACK was not M_PCPROTO"
6012		"short response ctl.len:  %d"
6013		"ctl.len > sizeof (dl_ok_ack_t):  %d"
6014		"receive %s for %s with %s error"
6015		"DL_BIND_ACK was not M_PCPROTO"
6016		"ioctl DLIOCRAW failed, errmsg %s"
6017		"ioctl DL_IOC_HDR_INFO failed, errmsg %s"
6018		"len=%d > hdrmax=%d"
6019		"ioctl ADDVC failed, errmsg %s"
6020		"ioctl ALLOCBW failed, errmsg %s"
6021		"FAIL: %s"

$ FATAL
8000		"open %s failed, errmsg=%s"
8001		"VC%d sa_add_vpci failed, errmsg=%s"
8002		"sa_allocatebw failed, errmsg=%s" Probable_Cause(s): <Total requested bandwidth is larger than board capacity.> Recommended_Action(s): <Select smaller value of Bandwidth> <Select less Number_of_VC.>
8003		"atm_attach failed, errmsg=%s"
$SET_LB_FAIL
8004		"Can not setup the loopback mode." Probable_Cause(s):<loopback mode is not supported.> Recommended_Action(s): <Check loopback mode;> <Check atm driver version. Loopback test is supported in ATM 3.0 or later version.>


$ PROBE 
10001 "atmtest probe: Failed to open %s."
10002 "atmtest probe: Failed to open /etc/path_to_inst."
10003 "atmtest probe: Failed to get ethernet address." 
10004 "atmtest probe: putmsg failed ifname: %s, ppa: %d; %s."
10005 "atmtest probe: DL_DETACH_REQ failed; ifname: %s; %s."
10006 "atmtest probe: dl_primitive not responded with DL_PHYS_ADDR_ACK."
10007 "atmtest probe: dl_phys_addr_ack has short response."
10008 "atmtest probe: No Host Entry."
10009 "atmtest probe: Can't get domain name: YP not running."
10010 "ERROR: %s(atmtest) is not configured in the system."
10011 "atmtest probe: Bad ioctl SIOCGIFADDR for getting internet address %s."
10012 "atmtest probe: Bad ioctl SIOCGIFNETMASK for getting netmask %s."
10014 "atmtest probe: Failed to open device %s; %s."
10015 "atmtest probe: Bad ioctl SIOCGIFCONF for getting network configuration %s ."
10016 "atmtest probe: Bad ioctl SIOCGIFFLAGS for getting device flags %s."
10017 "atmtest probe: Bad ioctl SIOCGIFBRDADDR for getting broadcast address %s."
10018 "atmtest probe: Cannot open a socket %s."
10019 "atmtest probe: System call putmsg failed %s."
10020 "atmtest probe: System call getmsg failed %s."
10021 "atmtest probe: Failed to allocate memory %s."
10022 "Host_Name: Unknown"
10023 ",Host Address: %s"
10024 "Port Address: %s"
10025 "Port Address: Unknown"
10026 ",Host ID: %x"
10027 ",Domain Name: %s"
10028 "Host_Name: %s"
10029 "atmtest probe: Bad ioctl SIOCGIFNUM for getting number of network interface."

